import App from './components/app.component.js'
import Grid from './components/grid/grid.component.js'
import GridCell from './components/grid/grid-cell.component.js'
import GridRow from './components/grid/grid-row.component.js'
import GridSlots from './components/grid/grid-slots.component.js'
import Scoreboard from './components/scoreboard.component.js'

// Registry of components to be loaded by Rivets.js
const components = {
	App,			// the main app
	Grid,			// the connect-4 grid
	GridCell,		// a single cell in the connect-4 grid
	GridRow,		// a row of cells in the connect-4 grid
	GridSlots,		// the slots at the top of the connect-4 grid
	Scoreboard,		// the game scoreboard
}

export default components
